Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.util
Class SelectUtils

    java.lang.Object
      org.ajax4jsf.util.SelectUtils

    public final class SelectUtils

extends java.lang.Object

Author:
  Maksim Kaszynski

Method Summary
`static java.lang.Object` | `getConvertedUIInputValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIInput component, java.lang.String submittedValue)`
`static java.lang.Object` | `getConvertedUISelectManyValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany component, java.lang.String[] submittedValue)` Converts UISelectMany submitted value to converted value
`static javax.faces.convert.Converter` | `getConverterForProperty(javax.faces.context.FacesContext facesContext, javax.faces.component.UIOutput component, java.lang.String property)`
`static java.util.List<javax.faces.model.SelectItem>` | `getSelectItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gathers all select items from specified component's children

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSelectItems

    public static java.util.List<javax.faces.model.SelectItem> getSelectItems(javax.faces.context.FacesContext context,
                                                                              javax.faces.component.UIComponent component)

  Gathers all select items from specified component's children

  Parameters:
    `context` -
    `component` -
  Returns:
    list of `SelectItems` taken from f:selectItem and f:selectItems

### getConvertedUISelectManyValue

    public static java.lang.Object getConvertedUISelectManyValue(javax.faces.context.FacesContext facesContext,
                                                                 javax.faces.component.UISelectMany component,
                                                                 java.lang.String[] submittedValue)
                                                          throws javax.faces.convert.ConverterException

  Converts UISelectMany submitted value to converted value

  Parameters:
    `facesContext` -
    `component` -
    `submittedValue` -
  Returns:
  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedUIInputValue

    public static java.lang.Object getConvertedUIInputValue(javax.faces.context.FacesContext facesContext,
                                                            javax.faces.component.UIInput component,
                                                            java.lang.String submittedValue)
                                                     throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getConverterForProperty

    public static javax.faces.convert.Converter getConverterForProperty(javax.faces.context.FacesContext facesContext,
                                                                        javax.faces.component.UIOutput component,
                                                                        java.lang.String property)

  Parameters:
    `facesContext` -
    `component` -
    `property` -
  Returns:
    converter for specified component attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.